org.apache.geode.modules.util

## Class DebugCacheListener

- java.lang.Object
- - org.apache.geode.cache.util.CacheListenerAdapter
  - - org.apache.geode.modules.util.DebugCacheListener

- All Implemented Interfaces:
    CacheCallback, CacheListener, Declarable

      public class DebugCacheListener
      extends CacheListenerAdapter
      implements Declarable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugCacheListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCreate(EntryEvent event)` Handles the event of new key being added to a region.
    `void` | `afterDestroy(EntryEvent event)` Handles the event of an entry being destroyed.
    `void` | `afterInvalidate(EntryEvent event)` Handles the event of an entry's value being invalidated.
    `void` | `afterUpdate(EntryEvent event)` Handles the event of an entry's value being modified in a region.
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `init(java.util.Properties p)` Initializes a user-defined object using the given properties.

    - ### Methods inherited from class org.apache.geode.cache.util.CacheListenerAdapter

      `afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, close`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

- - ### Constructor Detail

    - #### DebugCacheListener

          public DebugCacheListener()

  - ### Method Detail

    - #### afterCreate

          public void afterCreate(EntryEvent event)

      Description copied from interface: `CacheListener`
      Handles the event of new key being added to a region. The entry did not previously exist in this region in the local cache (even with a null value).
      Specified by:
        `afterCreate` in interface `CacheListener`
      Overrides:
        `afterCreate` in class `CacheListenerAdapter`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.create(Object, Object)`, `Region.put(Object, Object)`, `Region.get(Object)`

    - #### afterUpdate

          public void afterUpdate(EntryEvent event)

      Description copied from interface: `CacheListener`
      Handles the event of an entry's value being modified in a region. This entry previously existed in this region in the local cache, but its previous value may have been null.
      Specified by:
        `afterUpdate` in interface `CacheListener`
      Overrides:
        `afterUpdate` in class `CacheListenerAdapter`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.put(Object, Object)`

    - #### afterInvalidate

          public void afterInvalidate(EntryEvent event)

      Description copied from interface: `CacheListener`
      Handles the event of an entry's value being invalidated.
      Specified by:
        `afterInvalidate` in interface `CacheListener`
      Overrides:
        `afterInvalidate` in class `CacheListenerAdapter`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.invalidate(Object)`

    - #### afterDestroy

          public void afterDestroy(EntryEvent event)

      Description copied from interface: `CacheListener`
      Handles the event of an entry being destroyed.
      Specified by:
        `afterDestroy` in interface `CacheListener`
      Overrides:
        `afterDestroy` in class `CacheListenerAdapter`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.destroy(Object)`

    - #### init

          public void init(java.util.Properties p)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `p` - Contains the parameters declared in the declarative xml file.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`